V1.0
post
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/unlock
Unlocks the specified subject at subject-level. Accepts a ReasonCommentRequest payload capturing reason and comment for audit.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
09ABE234123456789ABCDEFDEADBEEFA -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
07DFAAAA34CB44141AEFBB123ABC345F
Supported Media Types
- application/json
Root Schema : schema
Type:
objectReason and comment to justify operation.
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048CommentExample:Removing incorrect data captured by mistake -
reason: string
Minimum Length:
0Maximum Length:255ReasonExample:Incorrect entry
Examples
Back to Top
Response
Supported Media Types
- application/json
202 Response
subject unlock request received- empty response body - standard for HTTP 202.
400 Response
Bad_Request
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.